#
# Conditional build:
%bcond_without	apidocs		# do not build and package API docs

Summary:	Vector and Matrix Math Library for C++
Summary(pl.UTF-8):	Vector and Matrix Math Library - biblioteka matematyczna wektorów i macierzy w C++
Name:		vmmlib
Version:	1.14.0
Release:	1
License:	BSD
Group:		Libraries
#Source0Download: https://github.com/Eyescale/vmmlib/releases
Source0:	https://github.com/Eyescale/vmmlib/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	f25e57bfc1e4699447963f5dbafd22f2
URL:		http://vmml.github.io/vmmlib/
BuildRequires:	Eyescale-CMake >= 2018.02
BuildRequires:	boost-devel
BuildRequires:	cmake >= 3.1
%{?with_apidocs:BuildRequires:	doxygen}
BuildRequires:	libstdc++-devel
Requires:	boost-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A templatized C++ vector and matrix math library.

%description -l pl.UTF-8
Biblioteka matematyczna wektorów i macierzy oparta na szablonach C++.

%package apidocs
Summary:	vmmlib API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki vmmlib
Group:		Documentation
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
API documentation for vmmlib library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki vmmlib.

%prep
%setup -q

rmdir CMake/common
ln -s %{_datadir}/Eyescale-CMake CMake/common

%build
install -d build
cd build
%cmake ..
%{__make}

%if %{with apidocs}
doxygen doc/Doxyfile
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_datadir}/vmmlib/{ACKNOWLEDGEMENTS,LICENSE.txt,README.md}
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/vmmlib/tests

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ACKNOWLEDGEMENTS LICENSE.txt README.md doc/Changelog.md
%{_includedir}/vmmlib
%dir %{_datadir}/vmmlib
%{_datadir}/vmmlib/CMake

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc build/doc/html/*
%endif
%changelog
* Mon May 27 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/vmmlib.git;a=log;h=auto/th/vmmlib-1.14.0-1

* Mon May 27 2019 Jakub Bogusz <qboosh@pld-linux.org> 809bfab
- updated to 1.14.0

* Sun Jun 26 2016 Elan Ruusamäe <glen@delfi.ee> 50337d2
- noarch apidocs

* Sat May 28 2016 Jan Rękorajski <baggins@pld-linux.org> 2de3612
- up to 1.10.0
- use system Eyescale-CMake

* Sat Nov 22 2014 Jakub Bogusz <qboosh@pld-linux.org> f76dc86
- new

